- hosts: localhost
  vars:
    vault_token: hvs.H9fmVpHzMP9dDeMiI7dJIdeZ
    vault_url: 'https://vault.wpjones.com'
    db_password: "{{ lookup('hashi_vault', 'secret=secret/passwords/db:data token={{ vault_token }} url={{ vault_url }}') }}"
    system_password: "{{ lookup('hashi_vault', 'secret=secret/passwords/system:data token={{ vault_token }} url={{ vault_url }}') }}"
  tasks:
    - name: Value for system_password
      debug:
        msg: "system_password: {{ system_password }}"
    - name: Value for db_password
      debug:
        msg: "db_password: {{ db_password }}"
